org.aspectj.lang.reflect

## Interface TypePatternBasedPerClause

All Known Implementing Classes:
  TypePatternBasedPerClauseImpl

    public interface TypePatternBasedPerClause

AspectJ runtime representation of a type pattern based per-clause associated with an aspect (pertypewithin).

### Method Summary

All Methods Instance Methods Abstract Methods
`TypePattern` `getTypePattern()`

### Method Detail

#### getTypePattern

    TypePattern getTypePattern()

Returns:
  the associated type pattern